I go on RUclips and see a Leetcode question done by you that I am trying to solve and it gives me joy. Thank you for existing. You probably see me in all your videos but you’re really amazing and please keep it up!
I had this question, the first time had to watch the explanation, and the second time did not optimally but myself, still had to watch the optimal one, now I put this problem into my backlog! I am going to solve it this time! At least, I have hope :D What would be your advice? I bet you had such a situation, what is the most productive way to get along with it?
As usual thanks for the awesome explanation. I had a small glitch when i submitted it. It failed for test case "bbaa", "aba" . I had a add a small change to line 20. if cur_char in t_counts and (window_counts[cur_char] == t_counts[cur_char] or ( window_counts[cur_char] > 0 and window_counts[cur_char] < t_counts[cur_char])): matches += 1
Made a minor change in line 20, I wrote the code in C++ so had to write if(mp2.find(s[r])!=mp2.end() && mp2[s[r]]>=mp1[s[r]]), then everything works fine
Even sliding window is important topic. Last time I could not clear the interview because I didn't solve any heap, sliding window, stack and hashMap. Could you solve more problems in these from leetcode ? please ???🥺🥺
I go on RUclips and see a Leetcode question done by you that I am trying to solve and it gives me joy. Thank you for existing. You probably see me in all your videos but you’re really amazing and please keep it up!
No problem man, thanks for continuing to watch the channel
I had this question, the first time had to watch the explanation, and the second time did not optimally but myself, still had to watch the optimal one, now I put this problem into my backlog! I am going to solve it this time! At least, I have hope :D
What would be your advice? I bet you had such a situation, what is the most productive way to get along with it?
Great solution. This question isnt super hard but more difficult to implement
As usual thanks for the awesome explanation. I had a small glitch when i submitted it. It failed for test case "bbaa", "aba" . I had a add a small change to line 20. if cur_char in t_counts and (window_counts[cur_char] == t_counts[cur_char] or (
window_counts[cur_char] > 0 and window_counts[cur_char] < t_counts[cur_char])):
matches += 1
I didn't have to change anything, it should work as is
@HarishRaoS good catch. I also had to make this minor change.
Great explanation! Was definitely struggling to grasp this one on my own.
It's a fun question, definitely enjoyed this one. Maybe I'm just strange
Made a minor change in line 20, I wrote the code in C++
so had to write if(mp2.find(s[r])!=mp2.end() && mp2[s[r]]>=mp1[s[r]]), then everything works fine
Even sliding window is important topic. Last time I could not clear the interview because I didn't solve any heap, sliding window, stack and hashMap. Could you solve more problems in these from leetcode ? please ???🥺🥺
Thank you!